net/tacacs-shrubbery - The NetBSD Packages Collection

Cisco AAA protocol (tacacs+) daemon (Shrubbery Networks version)

  Tacacs+ (or tac_plus) is a freely distributable daemon from Cisco Systems.
It is used in conjunction with Cisco routers for authorization, authentication,
and accounting services.  Tac_plus is configured via a single configuration
file.
This particular version is derived from the original Cisco sources and is
maintained by Shrubbery Networks, Inc.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/bison lang/perl5

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hftacacs-4.0.4.28nb2.tgz
NetBSD 8.0earmv7hftacacs-4.0.4.28nb2.tgz
NetBSD 8.0earmv7hftacacs-4.0.4.28nb2.tgz
NetBSD 8.0i386tacacs-4.0.4.28nb2.tgz
NetBSD 8.0i386tacacs-4.0.4.28nb2.tgz
NetBSD 8.0i386tacacs-4.0.4.28nb2.tgz
NetBSD 8.0powerpctacacs-4.0.4.28nb2.tgz
NetBSD 8.0powerpctacacs-4.0.4.28nb2.tgz
NetBSD 8.0powerpctacacs-4.0.4.28nb2.tgz
NetBSD 8.0powerpctacacs-4.0.4.28nb2.tgz
NetBSD 8.0x86_64tacacs-4.0.4.28nb2.tgz
NetBSD 8.0x86_64tacacs-4.0.4.28nb2.tgz
NetBSD 8.0x86_64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0aarch64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0aarch64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0aarch64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0alphatacacs-4.0.4.28nb2.tgz
NetBSD 9.0alphatacacs-4.0.4.28nb2.tgz
NetBSD 9.0alphatacacs-4.0.4.28nb2.tgz
NetBSD 9.0earmv6hftacacs-4.0.4.28nb2.tgz
NetBSD 9.0earmv6hftacacs-4.0.4.28nb2.tgz
NetBSD 9.0earmv6hftacacs-4.0.4.28nb2.tgz
NetBSD 9.0earmv6hftacacs-4.0.4.28nb2.tgz
NetBSD 9.0earmv7hftacacs-4.0.4.28nb2.tgz
NetBSD 9.0earmv7hftacacs-4.0.4.28nb2.tgz
NetBSD 9.0earmv7hftacacs-4.0.4.28nb2.tgz
NetBSD 9.0earmv7hftacacs-4.0.4.28nb2.tgz
NetBSD 9.0earmv7hftacacs-4.0.4.28nb2.tgz
NetBSD 9.0i386tacacs-4.0.4.28nb2.tgz
NetBSD 9.0i386tacacs-4.0.4.28nb2.tgz
NetBSD 9.0i386tacacs-4.0.4.28nb2.tgz
NetBSD 9.0mips64ebtacacs-4.0.4.28nb2.tgz
NetBSD 9.0mips64ebtacacs-4.0.4.28nb2.tgz
NetBSD 9.0mips64ebtacacs-4.0.4.28nb2.tgz
NetBSD 9.0powerpctacacs-4.0.4.28nb2.tgz
NetBSD 9.0powerpctacacs-4.0.4.28nb2.tgz
NetBSD 9.0powerpctacacs-4.0.4.28nb2.tgz
NetBSD 9.0powerpctacacs-4.0.4.28nb2.tgz
NetBSD 9.0sparc64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0sparc64tacacs-4.0.4.28nb1.tgz
NetBSD 9.0sparc64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0sparc64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0sparctacacs-4.0.4.28nb2.tgz
NetBSD 9.0sparctacacs-4.0.4.28nb2.tgz
NetBSD 9.0x86_64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0x86_64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0x86_64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0x86_64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0x86_64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0x86_64tacacs-4.0.4.28nb2.tgz
NetBSD 9.0x86_64tacacs-4.0.4.28nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

skey
Enable S/Key support.
tacacs-shrubbery-acls-support
Enable ACL support.
tacacs-shrubbery-drop-root-privileges
Drop root privileges, and run as a non-root user.
tcpwrappers
Enable tcpwrappers support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.